Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest
Interface Parameters.LegacyEnvParameters

All Superinterfaces:
  Parameters.EnvParameters

All Known Implementing Classes:
  EnvironmentInterview, FileParameters

Enclosing interface:
  Parameters

    public static interface Parameters.LegacyEnvParameters

extends Parameters.EnvParameters

An interface providing abstract access to environments, as contained in a set of .jte files, as used by older, legacy test suites. Newer test suites should not use this interface, but should subtype EnvParameters directly.

Method Summary
`java.io.File[]` | `getAbsoluteEnvFiles()` Get the set of files which define the environment used to run the tests.
`java.io.File[]` | `getEnvFiles()` Get the set of files which define the environment used to run the tests.
`java.lang.String` | `getEnvName()` Get the name of the environment to be used, from the set of environments contained in the fles set by setEnvFiles.
`void` | `setEnvFiles(java.io.File[] files)` Set the files which contain the environment used to run the tests.
`void` | `setEnvName(java.lang.String name)` Set the name of the environment to be used, from the set of environments contained in the fles set by setEnvFiles.

Methods inherited from interface com.sun.javatest.Parameters.EnvParameters
`getEnv`

Method Detail

### getEnvFiles

    java.io.File[] getEnvFiles()

  Get the set of files which define the environment used to run the tests. The files are returned as they were set by setEnvFiles.

  Returns:
    the set of files which define the exclude list
  See Also:
    `getAbsoluteEnvFiles()`, `setEnvFiles(java.io.File[])`

### setEnvFiles

    void setEnvFiles(java.io.File[] files)

  Set the files which contain the environment used to run the tests. Relative files will be evaulated relative to the test suite root directory.

  Parameters:
    `files` - the set of files which contain the environment to be used
  See Also:
    `getEnvFiles()`, `getAbsoluteEnvFiles()`

### getAbsoluteEnvFiles

    java.io.File[] getAbsoluteEnvFiles()

  Get the set of files which define the environment used to run the tests. The files are all returned as absolute files.

  Returns:
    the set of files which contact the exclude list
  See Also:
    `getEnvFiles()`, `setEnvFiles(java.io.File[])`

### getEnvName

    java.lang.String getEnvName()

  Get the name of the environment to be used, from the set of environments contained in the fles set by setEnvFiles.

  Returns:
    the name of the environment to be used to run the tests
  See Also:
    `setEnvName(java.lang.String)`

### setEnvName

    void setEnvName(java.lang.String name)

  Set the name of the environment to be used, from the set of environments contained in the fles set by setEnvFiles.

  Parameters:
    `name` - the name of the environment to be used to run the tests
  See Also:
    `getEnvName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.